/*---------------------------------------------------------------------------------*/
/*   This do-file corrects errors in the annual nonfood cons file, anfood.dta    */
/*                         Raw data from Liseteli Ndiyoi                           */
/*                               January 6, 2010                                   */
/*---------------------------------------------------------------------------------*/

drop _all

set memory 4m

cd c:\ZAAI\Data\

set more off
capture log close
log using coanfood, replace

# delimit ;

/*---------------------------------------------------------------------------------------------------------------
8.2 Annual non-food consumption*/;

use anfood,replace;

order  hh_id1 hh_id2 a83_07c a83_07x a83_07 a83_08 prov dist cons ward csa sea intcode1 supervisor deo persons;

lab var a83_08 "Annual cost of non-food item (ZMK)"; 

ren a83_07c a83_anid;

lab define anfcode 1 "School fees" 2 "Parent association fees" 3 "Tuition and boarding fees" 4 "Textbooks" 
                   5 "Uniforms and other materials" 6 "Other spending on education";

lab val a83_anid anfcode;

lab define an07code 1 "Yes" 2 "No";
lab val a83_07 an07code;
