/*---------------------------------------------------------------------------------*/
/*     This do-file corrects errors in the WTP KAP file, wtpkap.dta                */
/*                         Raw data from Liseteli Ndiyoi                           */
/*                               January 6, 2010                                   */
/*---------------------------------------------------------------------------------*/

drop _all

set memory 4m

cd c:\ZAAI\Data\

set more off
capture log close
log using ckwtpkap, replace

# delimit ;

/*---------------------------------------------------------------------------------------------------------------
11.4 WTP knowledge, attitudes and practice*/;

use wtpkap,replace;

order hh_id1 hh_id2 e1_pid e1_31 e1_32 e1_33 e1_34 e1_35 e1_36 e1_37 e1_38 e1_39 prov dist cons ward csa sea 
      intcode1 supervisor deo persons;
*________________________________________________________________________________________________________________;
*Each of questions 11.31 through 11.38 has missing values. Fishing the cases out here;

l hh_id1 hh_id2 e1_31 e1_32 e1_33 e1_34 e1_35 e1_36 if e1_31==.| e1_32==.| e1_33==.| e1_34==.| e1_35==.| e1_36==.,noobs nol tab;

l hh_id1 hh_id2 e1_37 e1_38 if  e1_37==.| e1_38==.,noobs nol tab;

*________________________________________________________________________________________________________________;
*Skip instruction in 11.38;

l hh_id1 hh_id2 e1_38  e1_39 if  e1_38==2 & e1_39 !=.,noobs nol tab;

l hh_id1 hh_id2 e1_38  e1_39 if  e1_38 != 2 & e1_39 ==.,noobs nol tab;

sort hh_id1 hh_id2;
compress;
save ..\wtpkap,replace;

log close;



